> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-splice-openapi-manual-pages-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# SV node internal API (CIP-0104, subject to change)

<div class="x2mdx-ref-page x2mdx-ref-page--operation x2mdx-ref-page--manual-api" />

<div class="x2mdx-ref-hero">
  <p class="x2mdx-ref-eyebrow">Scan API</p>

  <h1 class="x2mdx-ref-title">SV node internal API (CIP-0104, subject to change)</h1>

  <div class="x2mdx-ref-badges">
    <span class="x2mdx-ref-badge x2mdx-ref-badge--protocol">OpenAPI</span>

    <a class="x2mdx-ref-badge x2mdx-ref-badge--added" href="#history-added-0-6-0">Added 0.6.0</a>

    <a class="x2mdx-ref-badge x2mdx-ref-badge--changed" href="#history-updated-0-6-9">Updated 0.6.9</a>
  </div>
</div>

SV node internal API (CIP-0104, subject to change). Return the CIP-0104 per-round activity totals for the specified round number.

## Protocol Details

<div class="x2mdx-ref-meta-grid">
  <div class="x2mdx-ref-meta-item">
    <span class="x2mdx-ref-meta-label">Operation ID</span>
    <span class="x2mdx-ref-meta-value">getRewardAccountingActivityTotals</span>
  </div>

  <div class="x2mdx-ref-meta-item">
    <span class="x2mdx-ref-meta-label">Published</span>
    <span class="x2mdx-ref-meta-value">0.7.5</span>
  </div>

  <div class="x2mdx-ref-meta-item">
    <span class="x2mdx-ref-meta-label">Specification</span>
    <span class="x2mdx-ref-meta-value"><a href="/openapi/splice/scan/scan.yaml">Download OpenAPI</a></span>
  </div>
</div>

## Inputs

### Path parameters

<ParamField path="round_number" type="number" required>
  OpenAPI type: `integer (int64)`.
</ParamField>

## Outputs

### 200

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ResponseField name="value" type="GetRewardAccountingActivityTotalsResponse" required />

## History

<div class="x2mdx-ref-history" aria-label="Reference history">
  <div class="x2mdx-ref-history-event x2mdx-ref-history-event--changed" id="history-updated-0-6-9">
    <div class="x2mdx-ref-history-event-head">
      <span class="x2mdx-ref-history-event-label">Updated</span>
      <code class="x2mdx-ref-history-event-version">0.6.9</code>
    </div>

    <p class="x2mdx-ref-history-event-detail">The GET /v0/internal/reward-accounting-process/rounds/\{round\_number}/activity-totals operation was updated in this snapshot.</p>
  </div>

  <div class="x2mdx-ref-history-event x2mdx-ref-history-event--changed" id="history-updated-0-6-5">
    <div class="x2mdx-ref-history-event-head">
      <span class="x2mdx-ref-history-event-label">Updated</span>
      <code class="x2mdx-ref-history-event-version">0.6.5</code>
    </div>

    <p class="x2mdx-ref-history-event-detail">The operation moved from GET /v0/reward-accounting-process/rounds/\{round\_number}/activity-totals to GET /v0/internal/reward-accounting-process/rounds/\{round\_number}/activity-totals.</p>
  </div>

  <div class="x2mdx-ref-history-event x2mdx-ref-history-event--introduced" id="history-added-0-6-0">
    <div class="x2mdx-ref-history-event-head">
      <span class="x2mdx-ref-history-event-label">Added</span>
      <code class="x2mdx-ref-history-event-version">0.6.0</code>
    </div>
  </div>
</div>

<RequestExample>
  ```bash Request theme={"theme":{"light":"github-light","dark":"github-dark"}}
  curl --request GET \
    --url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/activity-totals'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 response theme={"theme":{"light":"github-light","dark":"github-dark"}}
  {
    "status": "string",
    "round_number": 0,
    "total_app_activity_weight": 0,
    "active_parties_count": 0,
    "activity_records_count": 0,
    "total_app_reward_minting_allowance": "string",
    "total_app_reward_thresholded": "string",
    "total_app_reward_unclaimed": "string",
    "rewarded_app_provider_parties_count": 0
  }
  ```
</ResponseExample>
